Ticket #41675

Qt-client built in Qt6-mode does not quit

Open Date: 2021-03-02 05:30 Last Update: 2021-10-14 02:56

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Qt-client built against Qt6 (--with-qt6), does not quit. It brings up the "Quit?" confirmation dialog, but clicking 'OK' from it does nothing. Even after clicking 'OK' (repeatedly) one can click 'Cancel' to return to the game.

Ticket History (3/6 Histories)

2021-03-02 05:30 Updated by: cazfi
  • New Ticket "Qt-client built in Qt6-mode does not quit" created
2021-03-02 05:44 Updated by: cazfi
Comment

It's some kind of loop in which clicking 'OK' results calling fc_client::closeEvent() which reopens the dialog.

Attempt to trivially cut the loop in fc_client::closeEvent() ended in segfault (but I don't know if it's really related, or does the code just continue to another problem). There's no debugger at my Qt6 testing virtual machine at the moment.

2021-10-10 13:36 Updated by: cazfi
Comment

Reply To cazfi

ended in segfault (but I don't know if it's really related, or does the code just continue to another problem).

That happens even without the modification in Qt5 -> #43019

2021-10-10 13:43 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-10-14 02:56 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login